Main Page Namespace List Class Hierarchy Alphabetical List Compound List File List Namespace Members Compound Members File Members

# TAO_AV_Child_Process_B< T_StreamEndpoint, T_VDev, T_MediaCtrl > Class Template Reference

Helper class for the child process created in TAO_AV_Child_Process. More...

`#include <Endpoint_Strategy_T.h>`

Inheritance diagram for TAO_AV_Child_Process_B< T_StreamEndpoint, T_VDev, T_MediaCtrl >:

[legend]
Collaboration diagram for TAO_AV_Child_Process_B< T_StreamEndpoint, T_VDev, T_MediaCtrl >:

[legend]
List of all members.

## Public Methods
| TAO_AV_Child_Process_B (void)
| Constructor.
virtual | ~TAO_AV_Child_Process_B (void)
| Destructor.

## Detailed Description

### template<class T_StreamEndpoint, class T_VDev, class T_MediaCtrl>
class TAO_AV_Child_Process_B< T_StreamEndpoint, T_VDev, T_MediaCtrl >

Helper class for the child process created in TAO_AV_Child_Process.

## Constructor & Destructor Documentation

template<class T_StreamEndpoint, class T_VDev, class T_MediaCtrl>
TAO_AV_Child_Process_B< T_StreamEndpoint, T_VDev, T_MediaCtrl >::TAO_AV_Child_Process_B | ( | void |  | ) |

| Constructor.

template<class T_StreamEndpoint, class T_VDev, class T_MediaCtrl>
TAO_AV_Child_Process_B< T_StreamEndpoint, T_VDev, T_MediaCtrl >::~TAO_AV_Child_Process_B | ( | void |  | ) | `[virtual]`

| Destructor.

The documentation for this class was generated from the following files:

- Endpoint_Strategy_T.h
- Endpoint_Strategy_T.cpp